version: "3.9"

services:
  pkmtcg-backend:
    build: .
    container_name: pkmtcg-backend
    ports:
      - "3333:3000"
    environment:
      IMAGES_DIR: /images/cards
      FAISS_DIR: /faiss
    volumes:
      - ./data/images:/images/cards   # host ./data/images => container /images/cards
      - ./data/faiss:/faiss           # host ./data/faiss => container /faiss
    restart: unless-stopped
